Home

# Class goog.module.BaseModuleLoader

A class that loads Javascript modules.

extends goog.Disposable

Instance Method Summary
| `evaluateCode(?Array.<string> moduleIds, string jsCode) ⇒ boolean` Evaluate the JS code.
| `getDebugMode() ⇒ boolean` Gets the debug mode for the loader.
| `handleRequestError(?Array.<string> moduleIds, function ((null|number)): ? errorFn, ?number status)` Handles an error during a request for one or more modules.
| `handleRequestSuccess(string jsCode, ?Array.<string> moduleIds, function (): ? successFn, function ((null|number)): ? errorFn)` Handles a successful response to a request for one or more modules.
| `handleRequestTimeout(?Array.<string> moduleIds, function (): ? timeoutFn)` Handles a timeout during a request for one or more modules.
| `loadModulesInternal(?Array.<string> ids, ?Object moduleInfoMap, ?function (): ?= opt_successFn, ?function (number): ?= opt_errorFn, ?function (): ?= opt_timeoutFn, boolean= opt_forceReload)` Loads a list of JavaScript modules.
| `setCodePostfix(string codePostfix)` Set the postfix to check for when we receive code from the server.
| `setDebugMode(boolean debugMode)` Sets the debug mode for the loader.
| `validateCodePostfix_(string jsCode) ⇒ boolean` Validate the js code received from the server.